Index: /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/README
===================================================================
--- /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/README	(revision 7234)
+++ /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/README	(revision 7235)
@@ -5,3 +5,3 @@
    open ./TOOLS/SIREN/doc/html/index.html in your web browser
 or 
-   run ./TOOLS/SIREN/doc/latex/gmake and open ./TOOLS/SIREN/doc/latex/refman.pdf 
+   run gmake in ./TOOLS/SIREN/doc/latex directory and open ./TOOLS/SIREN/doc/latex/refman.pdf 
Index: /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/cfg/dummy.cfg
===================================================================
--- /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/cfg/dummy.cfg	(revision 7234)
+++ /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/cfg/dummy.cfg	(revision 7235)
@@ -1,4 +1,4 @@
 &namdum
-   cn_dumvar=""
+   cn_dumvar="orca_lon", "orca_lat", "time_instant", "time_centered"
    cn_dumdim=""
    cn_dumatt="history"
Index: /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/create_bathy.f90
===================================================================
--- /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/create_bathy.f90	(revision 7234)
+++ /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/create_bathy.f90	(revision 7235)
@@ -46,6 +46,6 @@
 !>       - cn_varcfg : variable configuration file 
 !> (see ./SIREN/cfg/variable.cfg)
-!>       - cn_dimcfg : dimension configuration file. define dimension allowed to
-!> be used (see ./SIREN/cfg/dimension.cfg).
+!>       - cn_dimcfg : dimension configuration file. defines dimension allowed
+!> (see ./SIREN/cfg/dimension.cfg).
 !>       - cn_dumcfg : useless (dummy) configuration file, for useless 
 !> dimension or variable (see ./SIREN/cfg/dummy.cfg).
Index: /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/create_boundary.F90
===================================================================
--- /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/create_boundary.F90	(revision 7234)
+++ /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/create_boundary.F90	(revision 7235)
@@ -52,6 +52,6 @@
 !>       - cn_varcfg : variable configuration file
 !> (see ./SIREN/cfg/variable.cfg)
-!>       - cn_dimcfg : dimension configuration file. define dimension allowed to
-!> be used (see ./SIREN/cfg/dimension.cfg).
+!>       - cn_dimcfg : dimension configuration file. define dimensions allowed
+!> (see ./SIREN/cfg/dimension.cfg).
 !>       - cn_dumcfg : useless (dummy) configuration file, for useless 
 !> dimension or variable (see ./SIREN/cfg/dummy.cfg).
Index: /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/create_coord.f90
===================================================================
--- /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/create_coord.f90	(revision 7234)
+++ /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/create_coord.f90	(revision 7235)
@@ -44,6 +44,6 @@
 !>       - cn_varcfg : variable configuration file 
 !> (see ./SIREN/cfg/variable.cfg)
-!>       - cn_dimcfg : dimension configuration file. define dimension allowed to
-!> be used (see ./SIREN/cfg/dimension.cfg).
+!>       - cn_dimcfg : dimension configuration file. define dimensions allowed 
+!> (see ./SIREN/cfg/dimension.cfg).
 !>       - cn_dumcfg : useless (dummy) configuration file, for useless 
 !> dimension or variable (see ./SIREN/cfg/dummy.cfg).
Index: /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/create_meshmask.f90
===================================================================
--- /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/create_meshmask.f90	(revision 7234)
+++ /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/create_meshmask.f90	(revision 7235)
@@ -46,9 +46,7 @@
 !>       - partial step namelist (namzps)
 !>       - sigma or hybrid namelist (namsco)
-!       - cross land advection namelist (namcla)
 !>       - lateral boundary condition namelist (namlbc)
 !>       - wetting and dryong namelist (namwd)
 !>       - grid namelist (namgrd)
-!       - zoom namelist (namzoom)
 !>       - output namelist (namout)
 !>
@@ -61,5 +59,7 @@
 !>    * _config namelist (namcfg)_:<br/>
 !>       - cn_varcfg : variable configuration file
-!> (see ./SIREN/cfg/variable.cfg)
+!> (see ./SIREN/cfg/variable.cfg).
+!>       - cn_dimcfg : dimension configuration file. define dimensions allowed
+!> (see ./SIREN/cfg/dimension.cfg).
 !>       - cn_dumcfg : useless (dummy) configuration file, for useless 
 !> dimension or variable (see ./SIREN/cfg/dummy.cfg).
@@ -142,7 +142,4 @@
 !>          - dn_zb_b      : Offset for Zb
 !>
-!    * _cross land advection namelist (namcla)_:<br/>
-!       - in_cla : =1 cross land advection for exchanges through some straits (only for ORCA2)
-!
 !>    * _lateral boundary condition namelist (namlbc)_:<br/>
 !>       - rn_shlat : lateral boundary conditions at the coast (modify fmask)
@@ -160,21 +157,9 @@
 !>    
 !>    * _grid namelist (namgrd)_:<br/>
-!       - cn_cfg    : name of the configuration
 !>       - in_cfg    : inverse resolution of the configuration (1/4° => 4)
 !>       - ln_bench  : GYRE (in_mshhgr = 5 ) used as Benchmark.<br/>
 !>                     => forced the resolution to be about 100 km
-!       - ln_zoom   : use zoom (namzoom)
 !>       - ln_c1d    : use configuration 1D
 !>       - ln_e3_dep : vertical scale factors =T: e3.=dk[depth] =F: old definition
-!
-!    * _zoom namelist (namzoom)_:<br/>
-!       - cn_cfz       : name of the zoom of configuration
-!       - in_izoom     : left bottom i-indices of the zoom in data domain indices
-!       - in_jzoom     : left bottom j-indices of the zoom in data domain indices
-!       - ln_zoom_s    : South zoom type flag
-!       - ln_zoom_e    : East  zoom type flag
-!       - ln_zoom_w    : West  zoom type flag
-!       - ln_zoom_n    : North zoom type flag
-!
 !>    * _output namelist (namout)_:<br/>
 !>       - cn_domcfg    : output file name
@@ -185,15 +170,13 @@
 !>
 !>    @note
-!>        if     in_msh == 0  : write '<b>domain_cfg.nc</b>' file
-!>        MOD(in_msh, 3) = 1  :       '<b>mesh_mask.nc</b>' file
-!>                       = 2  :       '<b>mesh.nc</b>' and '<b>mask.nc</b>' files
-!>                       = 0  :       '<b>mesh_hgr.nc</b>', '<b>mesh_zgr.nc</b>' and '<b>mask.nc</b>' files
-!>
+!>        - if         in_msh = 0  : write '**domain_cfg.nc**' file.
+!>        - if MOD(in_msh, 3) = 1  : write '<b>mesh_mask.nc</b>' file.
+!>        - if MOD(in_msh, 3) = 2  : write '<b>mesh.nc</b>' and '<b>mask.nc</b>' files.
+!>        - if MOD(in_msh, 3) = 0  : write '<b>mesh_hgr.nc</b>', '<b>mesh_zgr.nc</b>' and '<b>mask.nc</b>' files.<br/>
 !>        For huge size domain, use option 2 or 3 depending on your vertical coordinate.
-!>
-!>        if     in_msh <= 3: write full 3D arrays for e3[tuvw] and gdep[tuvw]
-!>        if 3 < in_msh <= 6: write full 3D arrays for e3[tuvw] and 2D arrays 
+!>        - if     in_msh <= 3: write full 3D arrays for e3[tuvw] and gdep[tuvw]
+!>        - if 3 < in_msh <= 6: write full 3D arrays for e3[tuvw] and 2D arrays 
 !>                            corresponding to the depth of the bottom t- and w-points
-!>        if 6 < in_msh <= 9: write 2D arrays corresponding to the depth and the
+!>        - if 6 < in_msh <= 9: write 2D arrays corresponding to the depth and the
 !>                            thickness (e3[tw]_ps) of the bottom points
 !>
@@ -321,5 +304,5 @@
 
    ! namlbc
-   REAL(sp)          :: rn_shlat    = -100. !2.
+   REAL(sp)          :: rn_shlat    = 2.
 
    ! namout
@@ -1277,36 +1260,36 @@
 CONTAINS
    !-------------------------------------------------------------------
-   !> @brief This subroutine compute land/ocean mask arrays at tracer points, hori-
-   !>      zontal velocity points (u & v), vorticity points (f) and baro-
-   !>      tropic stream function  points (b). 
+   !> @brief This subroutine compute land/ocean mask arrays at tracer points, 
+   !>      horizontal velocity points (u & v), vorticity points (f) and 
+   !>      barotropic stream function  points (b). 
    !>
    !> @details
    !>
-   !> ** Method  :   The ocean/land mask is computed from the basin bathy-
-   !>      metry in level (mbathy) which is defined or read in dommba.
-   !>      mbathy equals 0 over continental T-point 
-   !>      and the number of ocean level over the ocean.
+   !> ** Method  :   The ocean/land mask is computed from the basin bathymetry in level (mbathy) which is defined or read in dommba.
+   !>      mbathy equals 0 over continental T-point and the number of ocean level over the ocean.
    !>
    !>      At a given position (ji,jj,jk) the ocean/land mask is given by:
-   !>      t-point : 0. IF mbathy( ji ,jj) =< 0
-   !>                1. IF mbathy( ji ,jj) >= jk
-   !>      u-point : 0. IF mbathy( ji ,jj)  or mbathy(ji+1, jj ) =< 0
-   !>                1. IF mbathy( ji ,jj) and mbathy(ji+1, jj ) >= jk.
-   !>      v-point : 0. IF mbathy( ji ,jj)  or mbathy( ji ,jj+1) =< 0
-   !>                1. IF mbathy( ji ,jj) and mbathy( ji ,jj+1) >= jk.
-   !>      f-point : 0. IF mbathy( ji ,jj)  or mbathy( ji ,jj+1)
-   !>                   or mbathy(ji+1,jj)  or mbathy(ji+1,jj+1) =< 0
-   !>                1. IF mbathy( ji ,jj) and mbathy( ji ,jj+1)
-   !>                  and mbathy(ji+1,jj) and mbathy(ji+1,jj+1) >= jk.
-   !>      b-point : the same definition as for f-point of the first ocean
+   !>      - t-point : 
+   !>             - 0. IF mbathy( ji ,jj) =< 0
+   !>             - 1. IF mbathy( ji ,jj) >= jk
+   !>      - u-point : 
+   !>             - 0. IF mbathy( ji ,jj)  or mbathy(ji+1, jj ) =< 0
+   !>             - 1. IF mbathy( ji ,jj) and mbathy(ji+1, jj ) >= jk.
+   !>      - v-point : 
+   !>             - 0. IF mbathy( ji ,jj)  or mbathy( ji ,jj+1) =< 0
+   !>             - 1. IF mbathy( ji ,jj) and mbathy( ji ,jj+1) >= jk.
+   !>      - f-point : 
+   !>             - 0. IF mbathy( ji ,jj)  or mbathy( ji ,jj+1) or mbathy(ji+1,jj)  or mbathy(ji+1,jj+1) =< 0
+   !>             - 1. IF mbathy( ji ,jj) and mbathy( ji ,jj+1) and mbathy(ji+1,jj) and mbathy(ji+1,jj+1) >= jk.
+   !>      - b-point : the same definition as for f-point of the first ocean
    !>                level (surface level) but with 0 along coastlines.
-   !>      tmask_i : interior ocean mask at t-point, i.e. excluding duplicated
+   !>      - tmask_i : interior ocean mask at t-point, i.e. excluding duplicated
    !>                rows/lines due to cyclic or North Fold boundaries as well
    !>                as MPP halos.
    !>
-   !>   @WARNING do not set the lateral friction through the value of fmask along
+   !> @warning do not set the lateral friction through the value of fmask along
    !>      the coast and topography. 
    !>
-   !>      N.B. If nperio not equal to 0, the land/ocean mask arrays
+   !> @note If nperio not equal to 0, the land/ocean mask arrays
    !>      are defined with the proper value at lateral domain boundaries,
    !>      but bmask. indeed, bmask defined the domain over which the
@@ -1322,11 +1305,12 @@
    !>        - bmask is  set to 0 on the open boundaries.
    !>
-   !> ** Action :   tmask    : land/ocean mask at t-point (=0. or 1.)
-   !>               umask    : land/ocean mask at u-point (=0. or 1.)
-   !>               vmask    : land/ocean mask at v-point (=0. or 1.)
-   !>               fmask    : land/ocean mask at f-point (=0. or 1.)
-   !>               bmask    : land/ocean mask at barotropic stream
-   !>                          function point (=0. or 1.) and set to 0 along lateral boundaries
-   !>               tmask_i  : interior ocean mask
+   !> ** Action :   
+   !>       - tmask    : land/ocean mask at t-point (=0. or 1.)
+   !>       - umask    : land/ocean mask at u-point (=0. or 1.)
+   !>       - vmask    : land/ocean mask at v-point (=0. or 1.)
+   !>       - fmask    : land/ocean mask at f-point (=0. or 1.)
+   !>       - bmask    : land/ocean mask at barotropic stream
+   !>                  function point (=0. or 1.) and set to 0 along lateral boundaries
+   !>       - tmask_i  : interior ocean mask
    !>
    !> @author J.Paul
Index: /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/create_restart.f90
===================================================================
--- /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/create_restart.f90	(revision 7234)
+++ /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/create_restart.f90	(revision 7235)
@@ -48,6 +48,6 @@
 !>       - cn_varcfg : variable configuration file
 !> (see ./SIREN/cfg/variable.cfg)
-!>       - cn_dimcfg : dimension configuration file. define dimension allowed to
-!> be used (see ./SIREN/cfg/dimension.cfg).
+!>       - cn_dimcfg : dimension configuration file. define dimensions allowed
+!> (see ./SIREN/cfg/dimension.cfg).
 !>       - cn_dumcfg : useless (dummy) configuration file, for useless 
 !> dimension or variable (see ./SIREN/cfg/dummy.cfg).
Index: /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/docsrc/2_quickstart.md
===================================================================
--- /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/docsrc/2_quickstart.md	(revision 7234)
+++ /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/docsrc/2_quickstart.md	(revision 7235)
@@ -16,5 +16,5 @@
  This break may cause inconsistency between forcing fields  at boundary and regional fields.
  </li>
- <li>create_meshmask.f90 to create meshmask file(s) which contain(s) all the ocean domain informations.</li>
+ <li>create_meshmask.f90 to create meshmask or domain_cfg file(s) which contain(s) all the ocean domain informations.</li>
  <li>create_restart.f90 to create initial state file from coarse grid restart
  or standard outputs.
@@ -36,5 +36,5 @@
 Here after we briefly describe how to use each programs,
 and so how to create your own regional configuration.
-@note As demonstrator for a first start a set of GLORYS files (global reanalysis on *ORCA025* grid), as well as examples of namelists are available [here](https://cloud.mercator-ocean.fr/public.php?service=files&t=877fb1b6e4f589340fc0df1ea6a53228).
+@note As demonstrator for a first start a set of GLORYS files (global reanalysis on *ORCA025* grid), as well as examples of namelists are available [here](https://cloud.mercator-ocean.fr/public.php?service=files&t=f2a19864f95f1944a51851479b627e2e).
 
 <!-- ######################################################################  -->
@@ -60,4 +60,5 @@
 &namcfg
    cn_varcfg = "PATH/NEMOGCM/TOOLS/SIREN/cfg/variable.cfg"
+   cn_dimcfg = "PATH/NEMOGCM/TOOLS/SIREN/cfg/dimension.cfg"
 /
 
@@ -91,13 +92,14 @@
 empty, as done here.<br/> This will create a log file named *create_coord.log*
 
-The **namcfg** sub-namelist defines where found SIREN configuration file.<br/>
-This configuration file defines standard name, default interpolation method,
+The **namcfg** sub-namelist defines where found SIREN configuration files.<br/>
+- The variable configuration file defines standard name, default interpolation method,
 axis,... to be used for some known variables.<br/>
 Obviously, you could add other variables to those already list, in this file.
-
-@note You could find the generic version of *variable.cfg* in the directory *NEMOGCM/TOOLS/SIREN/cfg*.
+- The dimension configuration file defines dimensions allowed.
+
+@note You could find the generic version of those configuration files in the directory *NEMOGCM/TOOLS/SIREN/cfg*.
 
 The **namcrs** sub-namelist set parameters of the wide
-coordinates file,<br/> as path to find it, and NEMO periodicity of the wide grid.<br/>
+coordinates file, as path to find it, and NEMO periodicity of the wide grid.<br/>
 
 @note the NEMO periodicity could be choose between 0 to 6:
@@ -219,4 +221,5 @@
 &namcfg
    cn_varcfg = "PATH/NEMOGCM/TOOLS/SIREN/cfg/variable.cfg"
+   cn_dimcfg = "PATH/NEMOGCM/TOOLS/SIREN/cfg/dimension.cfg"
 /
 
@@ -253,12 +256,12 @@
 coordinates file.<br/>
 @note in all SIREN namelist: <br/>
-0 referred to the coarse/wide grid.<br/>
-1 referred to the fine grid.
+**0** referred to the coarse/wide grid.<br/>
+**1** referred to the fine grid.
 
 In the same way, the **namfin** sub-namelist  set parameters of the fine
 coordinates file.<br/>
 @note in this namelist example, there is no need to set the variable *in_perio1* to define the NEMO
-periodicity of the fine grid.<br/> Indeed, if this variable is not inform, SIREN tries to read it in the attributes of the file.<br/> 
-So if you created the fine coordinates with SIREN, you do not have to
+periodicity of the fine grid. Indeed, if this variable is not inform, SIREN tries to read it 
+in the global attributes of the file. So if you created the fine coordinates with SIREN, you do not have to
 fill it. In other case, you should add it to the namelist.
 
@@ -300,5 +303,5 @@
 # Merge bathymetry file # {#merge}
 
-The Bathymetry you build differs from the wider one.<br/>
+The Bathymetry you build, may differ from the wider one.<br/>
 To avoid issue with boundaries forcing fields, you should merge fine and coarse Bathymetry on boundaries.<br/>
 SIREN allows you to do this.<br/>
@@ -316,4 +319,5 @@
 &namcfg
    cn_varcfg = "PATH/NEMOGCM/TOOLS/SIREN/cfg/variable.cfg"
+   cn_dimcfg = "PATH/NEMOGCM/TOOLS/SIREN/cfg/dimension.cfg"
 /
 
@@ -352,7 +356,5 @@
 
 The **nambdy** sub-namelist defines the subdomain boundaries.<br/>
-By default SIREN tries to create boundaries for each side. Boundary exist if there is at least one sea point on the second row of each side.<br/>
-So you could let this namelist empty.
-
+By default SIREN tries to create boundaries for each side. Boundary exist if there is at least one sea point on the second row of each side. So you could let this namelist empty.
 @sa For more information about boundaries, see @ref boundary
 
@@ -366,7 +368,8 @@
 
 
-Depending on the vertical grid you choose to use, NEMO may not see the bathymetry as you defined it just before. To get the ocean domain informations as seen by NEMO, SIREN allows you to create the meshmask file(s) which contain(s) all those informations.
-
-To create this new meshmask file(s), you have to run :
+Depending on the vertical grid you choose to use, NEMO may not see the bathymetry exactly as you defined it just before. To get the ocean domain informations as seen by NEMO, SIREN allows you to create the meshmask file(s) which contain(s) all those informations.<br/>
+Morevoer SIREN allows you to create the *domain_cfg* file which is the new input file for NEMO (release 3.7 and upper).<br/>
+
+To create the meshmask file(s), you have to run :
 ~~~~~~~~~~~~~~~~~~
 ./SIREN/create_meshmask.exe create_meshmask.nam
@@ -384,4 +387,5 @@
 &namcfg
    cn_varcfg = "PATH/NEMOGCM/TOOLS/SIREN/cfg/variable.cfg"
+   cn_dimcfg = "PATH/NEMOGCM/TOOLS/SIREN/cfg/dimension.cfg"
 /
 
@@ -427,7 +431,4 @@
 /
 
-&namcla
-/
-
 &namlbc
 /
@@ -437,7 +438,4 @@
 
 &namgrd
-/
-
-&namzoom
 /
 
@@ -454,7 +452,9 @@
 Mainly SIREN need Bathymetry to create meshmask.
 Here we also read coordinates directly on a file. 
-@note here again you could add the *in_perio* parameter if need be i.e. if your
-Bathymetry was not created by SIREN.<br/>
-@note By default SIREN suppress closed sea/lake from the ORCA domain.
+@note 
+ 1. here again you could add the *in_perio* parameter if need be i.e. if your
+Bathymetry was not created by SIREN.
+ 2. by default SIREN suppress closed sea/lake from the ORCA domain.
+
 
 The **namhgr** sub-namelist defines the horizontal grid.
@@ -470,7 +470,7 @@
 The **namzgr** sub-namelist allows to choose the type of vertical grid (z-coordinate full steps, partial steps, sigma or hybrid coordinates) and the number of level.
 
-The **namdmin** sub-namelist dfines the minimum ocean depth. It could be defines in meter (>0) or in number of level (<0).
-
-The **namzco** sub-namelist defines respectively parameters to compute z-coordinate vertical grid (**needed for all type of vertical grid**)
+The **namdmin** sub-namelist defines the minimum ocean depth. It could be defines in meter (>0) or in number of level (<0).
+
+The **namzco** sub-namelist defines parameters to compute z-coordinate vertical grid (**needed for all type of vertical grid**)
 <!-- By default, those parameters are defined the same way than in GLORYS (i.e. 75 vertical levels).<br/> -->
 
@@ -479,5 +479,5 @@
 The **namsco** sub-namelist defines extra parameters needed to define sigma or hybrid coordinates (not needed here).
 
-The **namcla** sub-namelist defines cross land advection for exchanges through some straits only used for ORCA2 (see namgrd).
+<!--The **namcla** sub-namelist defines cross land advection for exchanges through some straits only used for ORCA2 (see namgrd).-->
 
 The **namlbc** sub-namelist defines lateral boundary conditions at the coast. It is needed to modify the fmask.
@@ -485,7 +485,8 @@
 The **namwd** sub-namelist defines the wetting and drying parameters if activated (see namzgr sub-namelist)
 
-The **namgrd** and **namzoom** sub-namelists define grid configuration. Those namelist only activated local correction.
+The **namgrd** sub-namelist allows to use configuration 1D or to choose vertical scale factors (e3.=dk or old definition).
 
 Finally, this **namout** sub-namelist defines the number output file(s).<br/>
+@note To create the domain_cfg file, you should put **in_msh=0**.
 
 @sa For more information about how to create meshmask, see create_meshmask.f90
@@ -498,5 +499,5 @@
 time step). Or you could start from "partial" information about ocean state (Temperature and Salinity for example).
 
-Siren allows you to create both of those initial state.<br/>
+SIREN allows you to create both of those initial state.<br/>
 To create the initial state, you have to run:<br/>
 ~~~~~~~~~~~~~~~~~~
@@ -505,5 +506,5 @@
 
 Here after is an example of namelist for *create_restart.exe*.<br/>
-In this example, you create an initial state split on 81 "processors", and named restar_out.nc.<br/>
+In this example, you create an initial state split on 81 "processors", and named restart_out.nc.<br/>
 The initial state is composed of temperature and salinity refined from an extraction of GLORYS fields.
 ~~~~~~~~~~~~~~~~~~
@@ -513,4 +514,5 @@
 &namcfg
    cn_varcfg = "PATH/NEMOGCM/TOOLS/SIREN/cfg/variable.cfg"
+   cn_dimcfg = "PATH/NEMOGCM/TOOLS/SIREN/cfg/dimension.cfg"
 /
 
@@ -612,4 +614,5 @@
 &namcfg
    cn_varcfg = "PATH/NEMOGCM/TOOLS/SIREN/cfg/variable.cfg"
+   cn_dimcfg = "PATH/NEMOGCM/TOOLS/SIREN/cfg/dimension.cfg"
 /
 
Index: /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/docsrc/5_changeLog.md
===================================================================
--- /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/docsrc/5_changeLog.md	(revision 7234)
+++ /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/docsrc/5_changeLog.md	(revision 7235)
@@ -7,20 +7,23 @@
 ## New Features
 - create_meshmask.f90 program to create meshmask from coordinates and bathymetry files.
-- create_meshmask.f90 allows to write domain_cfg file
+- create_meshmask.f90 allows to write domain_cfg file.
 - merge_bathy.f90: allow to choose the number of boundary point with coarse grid value.
 - dimension.f90: dimension allowed read in configuration file.
+- variable.f90: allow to add scalar value.
+- create_meshmask.f90: choose vertical scale factors (e3.=dk[depth] or old definition).
 ## Changes
 - create_coord.f90: allow to define sub domain with coarse grid indices or coordinates.
 - grid.f90:grid__get_closest_str: add function to get closest grid point using coarse grid coordinates strucutre.
-- iom_cdf.f90:iom_cdf__get_info: define cdf4 as cdf
+- iom_cdf.f90:iom_cdf__get_info: define cdf4 as cdf.
 - variable.f90: add subroutine to clean global array of extra information, and define logical for variable to be used.
-- create_coord.f90: dimension to be used select from configuration file
-- create_bathy.f90: dimension to be used select from configuration file
-- merge_bathy.f90: dimension to be used select from configuration file
-- create_boundary.f90: dimension to be used select from configuration file
-- create_restart.f90: dimension to be used select from configuration file
+- create_coord.f90: dimension to be used select from configuration file.
+- create_bathy.f90: dimension to be used select from configuration file.
+- merge_bathy.f90: dimension to be used select from configuration file.
+- create_boundary.f90: dimension to be used select from configuration file.
+- create_restart.f90: dimension to be used select from configuration file.
 ## Bug fixes
-- boundary.f90:boundary_check: take into account that boundaries are compute on T point, but expressed on U,V point
-- grid.f90:grid__get_closest_str: use max of zero and east-west overlap instead of east-west overlap
+- boundary.f90:boundary_check: take into account that boundaries are compute on T point, but expressed on U,V point.
+- grid.f90:grid__get_closest_str: use max of zero and east-west overlap instead of east-west overlap.
+- mpp.f90: compare index to td_lay number of proc instead of td_mpp (bug fix) .
 
 # Initial Release 2016-03-17
Index: /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/docsrc/main.dox
===================================================================
--- /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/docsrc/main.dox	(revision 7234)
+++ /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/docsrc/main.dox	(revision 7235)
@@ -14,5 +14,5 @@
  - see create_bathy.f90 to create fine grid bathymetry
  - see merge_bathy.f90 to merge fine grid bathymetry
- - see create_meshmask.f90 to create mesh mask grid
+ - see create_meshmask.f90 to create mesh mask or domain_cfg file.
  - see create_restart.f90 to create initial state file, or other fields.
  - see create_boundary.F90 to create boundary condition
Index: /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/grid.f90
===================================================================
--- /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/grid.f90	(revision 7234)
+++ /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/grid.f90	(revision 7235)
@@ -1734,5 +1734,5 @@
 
                IF( TRIM(td_var%c_stdname) == 'longitude' .OR. &
-                 & SCAN(TRIM(td_var%c_longname), 'longitude') == 0 )THEN
+                 & SCAN( TRIM(td_var%c_longname), 'longitude') == 0 )THEN
                   WHERE( dl_value(:,:) > 180._dp .AND. &
                   &      dl_value(:,:) /= td_var%d_fill ) 
Index: /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/grid_hgr.f90
===================================================================
--- /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/grid_hgr.f90	(revision 7234)
+++ /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/grid_hgr.f90	(revision 7235)
@@ -14,29 +14,28 @@
 !>
 !> ** Method  :   The geographical position of the model grid-points is
-!>      defined from analytical functions, fslam and fsphi, the deriva-
-!>      tives of which gives the horizontal scale factors e1,e2.
-!>      Defining two function fslam and fsphi and their derivatives in 
-!>      the two horizontal directions (fse1 and fse2), the model grid-
-!>      point position and scale factors are given by:
-!>         t-point:<br/>
-!>      glamt(i,j) = fslam(i    ,j    )   e1t(i,j) = fse1(i    ,j    )<br/>
-!>      gphit(i,j) = fsphi(i    ,j    )   e2t(i,j) = fse2(i    ,j    )<br/>
-!>         u-point:<br/>
-!>      glamu(i,j) = fslam(i+1/2,j    )   e1u(i,j) = fse1(i+1/2,j    )<br/>
-!>      gphiu(i,j) = fsphi(i+1/2,j    )   e2u(i,j) = fse2(i+1/2,j    )<br/>
-!>         v-point:<br/>
-!>      glamv(i,j) = fslam(i    ,j+1/2)   e1v(i,j) = fse1(i    ,j+1/2)<br/>
-!>      gphiv(i,j) = fsphi(i    ,j+1/2)   e2v(i,j) = fse2(i    ,j+1/2)<br/>
-!>            f-point:<br/>
-!>      glamf(i,j) = fslam(i+1/2,j+1/2)   e1f(i,j) = fse1(i+1/2,j+1/2)<br/>
-!>      gphif(i,j) = fsphi(i+1/2,j+1/2)   e2f(i,j) = fse2(i+1/2,j+1/2)<br/>
-!>      Where fse1 and fse2 are defined by:<br/>
-!>         fse1(i,j) = ra * rad * SQRT( (cos(phi) di(fslam))**2
-!>                                     +          di(fsphi) **2 )(i,j)<br/>
-!>         fse2(i,j) = ra * rad * SQRT( (cos(phi) dj(fslam))**2
-!>                                     +          dj(fsphi) **2 )(i,j)<br/>
+!>    defined from analytical functions, fslam and fsphi, the derivatives of which gives the horizontal scale factors e1,e2.
+!>    Defining two function fslam and fsphi and their derivatives in the two horizontal directions (fse1 and fse2), 
+!>    the model grid-point position and scale factors are given by:
+!>    - t-point:
+!>       - glamt(i,j) = fslam(i    ,j    )   e1t(i,j) = fse1(i    ,j    )
+!>       - gphit(i,j) = fsphi(i    ,j    )   e2t(i,j) = fse2(i    ,j    )
+!>    - u-point:
+!>       - glamu(i,j) = fslam(i+1/2,j    )   e1u(i,j) = fse1(i+1/2,j    )
+!>       - gphiu(i,j) = fsphi(i+1/2,j    )   e2u(i,j) = fse2(i+1/2,j    )
+!>    - v-point:
+!>       - glamv(i,j) = fslam(i    ,j+1/2)   e1v(i,j) = fse1(i    ,j+1/2)
+!>       - gphiv(i,j) = fsphi(i    ,j+1/2)   e2v(i,j) = fse2(i    ,j+1/2)
+!>    - f-point:
+!>       - glamf(i,j) = fslam(i+1/2,j+1/2)   e1f(i,j) = fse1(i+1/2,j+1/2)
+!>       - gphif(i,j) = fsphi(i+1/2,j+1/2)   e2f(i,j) = fse2(i+1/2,j+1/2)
 !>
-!>        The coriolis factor is given at z-point by:<br/>
-!>                     ff = 2.*omega*sin(gphif)      (in s-1)<br/>
+!>    Where fse1 and fse2 are defined by:
+!>       - fse1(i,j) = ra * rad * SQRT( (cos(phi) di(fslam))**2
+!>                                     +          di(fsphi) **2 )(i,j)
+!>       - fse2(i,j) = ra * rad * SQRT( (cos(phi) dj(fslam))**2
+!>                                     +          dj(fsphi) **2 )(i,j)
+!>
+!>    The coriolis factor is given at z-point by:
+!>        - ff = 2.*omega*sin(gphif)      (in s-1)<br/>
 !>
 !>        This routine is given as an example, it must be modified
@@ -46,14 +45,13 @@
 !>      second order accuracy schemes.
 !>
-!> N.B. If the domain is periodic, verify that scale factors are also
+!> @note If the domain is periodic, verify that scale factors are also
 !>      periodic, and the coriolis term again.
 !>
-!> ** Action  : - define  glamt, glamu, glamv, glamf: longitude of t-, 
-!>                u-, v- and f-points (in degre)
-!>              - define  gphit, gphiu, gphiv, gphit: latitude  of t-,
-!>               u-, v-  and f-points (in degre)
-!>        define e1t, e2t, e1u, e2u, e1v, e2v, e1f, e2f: horizontal
-!>      scale factors (in meters) at t-, u-, v-, and f-points.
-!>        define ff: coriolis factor at f-point
+!> ** Action  : 
+!>    - define  glamt, glamu, glamv, glamf: longitude of t-, u-, v- and f-points (in degre)
+!>    - define  gphit, gphiu, gphiv, gphit: latitude  of t-, u-, v-  and f-points (in degre)
+!>    - define e1t, e2t, e1u, e2u, e1v, e2v, e1f, e2f: horizontal
+!>    - scale factors (in meters) at t-, u-, v-, and f-points.
+!>    - define ff: coriolis factor at f-point
 !>
 !> References :   Marti, Madec and Delecluse, 1992, JGR
Index: /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/grid_zgr.f90
===================================================================
--- /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/grid_zgr.f90	(revision 7234)
+++ /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/grid_zgr.f90	(revision 7235)
@@ -12,11 +12,11 @@
 !>              vertical scale factors.
 !>
-!> ** Method  : - reference 1D vertical coordinate (gdep._1d, e3._1d)
-!>              - read/set ocean depth and ocean levels (bathy, mbathy)
-!>              - vertical coordinate (gdep., e3.) depending on the 
-!>                coordinate chosen :
-!>                   ln_zco=T   z-coordinate   
-!>                   ln_zps=T   z-coordinate with partial steps
-!>                   ln_zco=T   s-coordinate 
+!> ** Method  : 
+!>    - reference 1D vertical coordinate (gdep._1d, e3._1d)
+!>    - read/set ocean depth and ocean levels (bathy, mbathy)
+!>    - vertical coordinate (gdep., e3.) depending on the coordinate chosen :
+!>       - ln_zco=T   z-coordinate   
+!>       - ln_zps=T   z-coordinate with partial steps
+!>       - ln_zco=T   s-coordinate 
 !>
 !> ** Action  :   define gdep., e3., mbathy and bathy
Index: /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/merge_bathy.f90
===================================================================
--- /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/merge_bathy.f90	(revision 7234)
+++ /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/merge_bathy.f90	(revision 7235)
@@ -51,6 +51,6 @@
 !>       - cn_varcfg : variable configuration file 
 !> (see ./SIREN/cfg/variable.cfg)
-!>       - cn_dimcfg : dimension configuration file. define dimension allowed to
-!> be used (see ./SIREN/cfg/dimension.cfg).
+!>       - cn_dimcfg : dimension configuration file. define dimensions allowed
+!> (see ./SIREN/cfg/dimension.cfg).
 !>       - cn_dumcfg : useless (dummy) configuration file, for useless 
 !> dimension or variable (see ./SIREN/cfg/dummy.cfg).
Index: /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/variable.f90
===================================================================
--- /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/variable.f90	(revision 7234)
+++ /branches/2016/dev_r6999_CONFIGMAN_1/NEMOGCM/TOOLS/SIREN/src/variable.f90	(revision 7235)
@@ -7243,5 +7243,5 @@
    !> @brief
    !> This subroutine read matrix value from character string in namelist
-   !> and fill variable strucutre value.
+   !> and fill variable structure value.
    !>
    !> @details
